Legacy CHEESE API

Search One Molecule Job

Suggest an edit
GET
/submit_molsearch

Submit a job to search by a single molecule using various criteria.

Parameters:

  • search_input (str): The input molecule to search for (default is "CC(=O)Oc1ccccc1C(=O)O")
  • search_type (SearchTypes): The type of search to perform (default is "morgan")
  • db_names (List[DatabaseEnum]): The databases to use for the search
  • n_neighbors (int): The number of neighbors to consider (maximum is 100K)

Returns:

  • A dictionary containing the search input, search type, number of neighbors, search quality, and databases used.

Authorization

APIKeyHeader
X-API-Key<token>

In: header

Query Parameters

search_input?Search Input
Default"CC(=O)Oc1ccccc1C(=O)O"
search_type?SearchTypes

The type of search to perform

Default"espsim_shape"

Value in

  • "morgan"
  • "espsim_electrostatic"
  • "espsim_shape"
  • "synthongpt"
search_quality?SearchQuality

Speed/Accuracy Tradeoff

Default"fast"

Value in

  • "fast"
  • "accurate"
  • "very_accurate"
  • "100"
  • "1000"
  • "10000"
db_names?array<>

Selected Databases

Default

[  "CHEMINFINITA-SYNTHON"]
n_neighbors?N Neighbors

The number of neighbors to consider (maximum is 100K)

Default100000
include_properties?Include Properties
Defaultfalse

Response Body

application/json

application/json

curl -X GET "https://example.com/submit_molsearch"
null